#confirmEmail {
  padding: 24px;
  border-radius: 12px;
  background-color: var(--gray-color-100);
  width: 100%;
  box-shadow: 0px 20px 24px -4px rgba(16, 24, 40, 0.08), 0px 8px 8px -4px rgba(16, 24, 40, 0.03);
  border: 1px solid var(--gray-color-100);
  margin-top: 24px;
}
#confirmEmail .title {
  color: var(--gray-color-900);
  text-align: center;
  font-size: 18px;
  font-weight: 600;
  margin-top: 20px;
}
#confirmEmail .content {
  color: var(--gray-color-500);
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  margin-top: 8px;
}
#confirmEmail .content span {
  font-weight: 600;
}
#confirmEmail .code-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 8px;
  margin-top: 20px;
}
#confirmEmail .code-container .code-input {
  width: 60px;
  height: 60px;
  font-size: 40px;
  border-radius: 8px;
  border: 1px solid var(--primary-color-500);
  box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
  color: var(--primary-color-600);
  text-align: center;
  font-weight: 500;
  overflow: hidden;
  outline: none;
  white-space: nowrap;
  text-overflow: ellipsis;
}
#confirmEmail .code-container .code-input::placeholder {
  color: var(--gray-color-300);
}
#confirmEmail .resend-code {
  color: var(--gray-color-500);
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  margin-top: 20px;
}
#confirmEmail .resend-code a {
  color: var(--primary-color-500);
  font-weight: 500;
  text-decoration: none;
}
#confirmEmail .btn-container {
  width: 100%;
  margin-top: 32px;
  display: flex;
  gap: 12px;
}
#confirmEmail .btn-container button {
  flex: 1;
  outline: none;
  border: none;
  padding: 10px 18px;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  border-radius: 100px;
  overflow: hidden;
  box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}
#confirmEmail .btn-container .btn-confirm {
  color: var(--white-color);
  background-color: var(--primary-color-600);
}
#confirmEmail .btn-container .btn-confirm.disabled {
  background-color: var(--primary-color-200);
  cursor: default;
  pointer-events: none;
}

.mail-icon {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 56px;
  height: 56px;
  background-color: var(--primary-color-50);
  border-radius: 100rem;
  margin: 0 auto;
}
.mail-icon::before {
  content: "";
  width: 40px;
  height: 40px;
  background-color: var(--primary-color-100);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 100rem;
}
.mail-icon img {
  width: 24px;
  height: 24px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  filter: var(--active-filter);
}